# Class ConnectDialog | EchoHub Documentation
A Terminal.Gui dialog for entering server connection and authentication details. Includes a saved servers selector when saved servers are available.

# Class ConnectDialog

Namespace
  EchoHub.Client.UI.Dialogs

Assembly
  EchoHub.Client.dll

A Terminal.Gui dialog for entering server connection and authentication details. Includes a saved servers selector when saved servers are available.

    public sealed class ConnectDialog

Inheritance
  object
  ConnectDialog

Inherited Members
  object.GetType()
  object.ToString()
  object.Equals(object)
  object.Equals(object, object)
  object.ReferenceEquals(object, object)
  object.GetHashCode()

## Constructors

### ConnectDialog()

    public ConnectDialog()

## Methods

### Show(IApplication, List<SavedServer>?)

Shows the connect dialog with an optional list of saved servers. Returns the result, or null if cancelled.

    public static ConnectDialogResult? Show(IApplication app, List<SavedServer>? savedServers = null)

#### Parameters

`app` IApplication
`savedServers` List<SavedServer>

#### Returns

ConnectDialogResult